On this page
No Headings
Last updated: May 27, 2026
This guide presents the following topics to get you up and running:
Merchants with an existing Internet merchant account can use Payflow Payment
Gateway, or Payflow. Payflow uses real-time, encrypted communication to process debit and credit
card transactions. To make test calls to Payflow, submit transaction data to
the pilot endpoint (https://pilot-payflowpro.paypal.com).
This document is for demonstration only. To understand the rich feature-set of this product, see the Payflow Gateway landing page, which includes links to documentation.
A payment gateway provides a merchant with access to payment processing networks. When a merchant signs up with a payment gateway, the merchant can keep that gateway even if the merchant changes banks.
This document describes just one way to use Payflow. Merchants integrate with Payflow in different ways, based on their specific needs.
To send transaction data to Payflow, set up an account and submit data to the
pilot endpoint (https://pilot-payflowpro.paypal.com).
Note: You also can get a Payflow Pro account without having to submit your credit card (for now) by signing up for a test account. This free trial will expire in 30 days and you will be prompted to enter a credit card which will be billed.
As described in the Payflow Gateway Developer's Guide (HTML), you can send test data, e.g. as name-value pairs, to the Payflow pilot
endpoint (https://pilot-payflowpro.paypal.com).
Note Since Payflow is operating out of multiple data centers we highly suggest that all API calls are done using the host URLs above. Should you hard code the IP addresses to send transactions via the Payflow API, PayPal cannot be responsible should your transactions fail should a data center be offline due to any issues or any scheduled maintenances.
The example below contains nine parameters:
| Name | Description |
|---|---|
PARTNER | The Payflow partner. The example below uses PayPal, since in this document, the account was purchased directly from PayPal. If an account was provided by an authorized PayPal reseller, who registered a Payflow user, then the ID provided by the reseller is used. |
PWD | The password that you specified when you got the Payflow account, in the previous steps. |
VENDOR | The ID that you specified when you got the Payflow account, in the previous steps (same as USER). That is, the merchant login ID for the account. |
USER | The ID that you specified when you got the Payflow account, in the previous steps (same as VENDOR, because for this example, we assume that you haven't set up additional users on the Payflow account). |
TENDER | The payment method. For example, C for credit card. |
ACCT | The buyer's credit card number. |
TRXTYPE | The type of the transaction. For example, S for sale. |
EXPDATE | The expiration date of the credit card. |
AMT | The amount of the sale. |
The cURL command below uses several parameters to submit data to Payflow.
In the case of four parameters (PARTNER, PWD,
VENDOR, and USER), you must
substitute your own values.
curl https://pilot-payflowpro.paypal.com \ -s \ --insecure \ -d PARTNER= \ -d PWD= \ -d VENDOR= \ -d USER= \ -d TENDER=C \ -d ACCT=5105105105105100 \ -d TRXTYPE=S \ -d EXPDATE=1221 \ -d AMT=1.00The response is similar to this response:
RESULT=0&
PNREF=VFHA1234567&
RESPMSG=Approved&
AUTHCODE=123PNIThe response contains:
RESULT=0. Indicates approved.PNREF. The Payflow transaction ID value.RESPMSG. The response message. Value is Approved.AUTHCODE. The approval code value.Review the Payflow features, options, and documentation available on the Payflow Gateway Landing Page.